%define python3_pkgversion 3.11
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}
%global debug_package %{nil}

# Created by pyp2rpm-3.3.3
%global pypi_name build

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        1.2.2
Release:        1.0.1%{?dist}
Summary:        Yet another URL library

License:        Apache 2
URL:            https://github.com/pypa/build
Source0:        https://files.pythonhosted.org/packages/source/b/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-add-setup-py.patch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros

Requires: %{?scl_prefix}python%{python3_pkgversion}-pyproject_hooks
Requires: %{?scl_prefix}python%{python3_pkgversion}-packaging >= 19.1


%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}


%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md

%{_bindir}/pyproject-build
%pycached %{python3_sitelib}/%{pypi_name}/*.py
%pycached %{python3_sitelib}/%{pypi_name}/*/*.py
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Jan 28 2025 Rafael Barron <rafael.barron@oracle.com> - 1.2.2-1.0.1
- Update to 1.2.2

* Wed Jul 31 2024 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 1.2.1-1
- Update to 1.2.1
- Rebuild with python 3.11
- Add setup.py
